Hardware Upgrade Forum

Hardware Upgrade Forum (https://www.hwupgrade.it/forum/index.php)
-   Linux, Unix, OS alternativi (https://www.hwupgrade.it/forum/forumdisplay.php?f=34)
-   -   problema LinuxMint 19 e Canon TR4550 (https://www.hwupgrade.it/forum/showthread.php?t=2928934)


paola82 07-12-2020 19:06

problema LinuxMint 19 e Canon TR4550
 
ciao a tutti, come da titolo linux mint 19.03 tricia non conosce la stampante canon pixma tr4550 multifunzione. Qualcuno mi puo' aiutare, Grazie ...

Nicodemo Timoteo Taddeo 08-12-2020 09:46

Quote:

Originariamente inviato da paola82 (Messaggio 47151285)
ciao a tutti, come da titolo linux mint 19.03 tricia non conosce la stampante canon pixma tr4550 multifunzione. Qualcuno mi puo' aiutare, Grazie ...

Dal sito di Canon sezione supporto, è possibile scaricare i driver ufficiali per Linux, sia per la stampante che per lo scanner:

https://www.canon.it/support/consume...uage=&os=linux

Seleziona Linux 32 o 64 bit a seconda del tuo OS, poi scegli il formato archivio per Debian.

Riceverai un file che termina con .deb.tar.gz, è un archivio compresso. Scompattalo fino ad ottenere una cartella che termina con .deb

Per prima cosa spegni la stampante se è accesa, poi dal terminale entra nella cartella, esegui lo script con il sudo, esempio

sudo ./install.sh

segui le istruzioni che appaiono sul monitor. Ti chiederà di accenderla e poi mi son fermato perché quella stampante non ce l'ho :)


ps. benvenuta sul forum se è il tuo primo post. :)

paola82 10-12-2020 18:46

Grazie gentilissimo Nicodemo, stasera ci provo... a presto

paola82 11-12-2020 18:39

Quote:

Originariamente inviato da paola82 (Messaggio 47158820)
Grazie gentilissimo Nicodemo, stasera ci provo... a presto

purtroppo non riesco. dove sbaglio ? allego risposta del terminale ;
emma@emma:~$ sudo su
root@emma:/home/emma# sudo apt install ./cnijfilter2-source-5.70-1
Lettura elenco dei pacchetti... Fatto
E: File ./cnijfilter2-source-5.70-1 non supportato passato sulla riga di comando
root@emma:/home/emma# cd \Scaricati
root@emma:/home/emma/Scaricati# sudo apt install ./cnijfilter2-source-5.70-1
Lettura elenco dei pacchetti... Fatto
E: File ./cnijfilter2-source-5.70-1 non supportato passato sulla riga di comando
root@emma:/home/emma/Scaricati# sudo apt install gdebi
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
gdebi è già alla versione più recente (0.9.5.7xmint9).
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
libaribb24-0 libbasicusageenvironment1 libcddb2 libdvbpsi10 libebml4v5
libgroupsock8 liblivemedia62 libmad0 libmatroska6v5 libmicrodns0 libnfs11
libopenmpt-modplug1 libplacebo4 libprotobuf-lite10 libqt5x11extras5
libresid-builder0c2a libsdl-image1.2 libsidplay2 libssh2-1 libupnp6
libusageenvironment3 libvlc-bin libvlc5 libvlccore9 vlc vlc-bin vlc-data
vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt
vlc-plugin-video-output
Usare "sudo apt autoremove" per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
root@emma:/home/emma/Scaricati#
root@emma:/home/emma/Scaricati# sudo gdebi cnijfilter2-source-5.70-1
gdebi error, file not found: cnijfilter2-source-5.70-1
root@emma:/home/emma/Scaricati# sudo apt-get install cnijfilter2-source-5.70-1
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto cnijfilter2-source-5.70-1
E: Impossibile trovare alcun pacchetto tramite il glob "cnijfilter2-source-5.70-1"
E: Impossibile trovare alcun pacchetto tramite l'espressione regolare "cnijfilter2-source-5.70-1"
root@emma:/home/emma/Scaricati#
Ciao a tutti

Nicodemo Timoteo Taddeo 11-12-2020 19:47

Quote:

Originariamente inviato da paola82 (Messaggio 47161494)
purtroppo non riesco. dove sbaglio ?

Hai scaricato i sorgenti dei driver andando a fondo pagina. Dovevi fermarti un po' più su :)

Esattamente per la stampante:


Codice:

IJ Printer Driver v. 5.70 for Linux (Archivio in formato distribuzione Debian)

 Versione file: 5.70

Data di rilascio: 21 agosto 2018
Questo software è un driver della stampante da utilizzare per stampare con la stampante Canon IJ.

Le lingue supportate di questo software sono: inglese, francese, tedesco, cinese semplificato e giapponese.

Per lo scanner:

Codice:

ScanGear MP v. 3.70 for Linux (Archivio in formato distribuzione Debian)

 Versione file: 3.70

Data di rilascio: 21 agosto 2018
Questo è un driver per scanner di immagini a colori Canon.

Le lingue supportate di questo software sono: inglese, francese, tedesco, cinese semplificato e giapponese.


E devi seguire le mie indicazioni, entrare nelle cartelle cnijfilter2-5.70-1-deb e scangearmp2-3.70-1-deb e con sudo lanciare lo script ./install.sh


Non prendere altre iniziative (niente apt install) e buona fortuna :)

paola82 12-12-2020 15:28

Grazieeeeeeeee ho risolto, avevo sbagliato a scrivere il nome "cniijfilter" con una sola i, invece ne ha due. Ecco la sequenza GIUSTA Grazie a Timoteo per la dritta. Ora provo con lo Scanner . Saluti a tutto il Forum; Amministrattori compresi.-
root@emma:/home/emma# cd \Scaricati
root@emma:/home/emma/Scaricati# cd \cnijfilter2-5.70-1-deb
root@emma:/home/emma/Scaricati/cnijfilter2-5.70-1-deb# sudo ./install.sh
==================================================

Canon Inkjet Printer Driver
Version 5.70
Copyright CANON INC. 2001-2018

==================================================
Command executed = sudo dpkg -iG ./packages/cnijfilter2_5.70-1_i386.deb
Selezionato il pacchetto cnijfilter2 non precedentemente selezionato.
(Lettura del database... 426563 file e directory attualmente installati.)
Preparativi per estrarre .../cnijfilter2_5.70-1_i386.deb...
Estrazione di cnijfilter2 (5.70-1)...
Configurazione di cnijfilter2 (5.70-1)...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1.3)...

#=========================================================#
# Register Printer
#=========================================================#
Next, register the printer to the computer.
Connect the printer, and then turn on the power.
To use the printer on the network, connect the printer to the network.
When the printer is ready, press the Enter key.
>

#=========================================================#
# Connection Method
#=========================================================#
1) USB
2) Network
Select the connection method.[1]1

Searching for printers...


#=========================================================#
# Select Printer
#=========================================================#
Select the printer.
If the printer you want to use is not listed, select Update [0] to search again.
To cancel the process, enter [Q].
-----------------------------------------------------------
0) Update
-----------------------------------------------------------
Target printers detected
1) Canon TR4500 series (//Canon/?port=usb&serial=258E64)
-----------------------------------------------------------
Currently selected:[1] Canon TR4500 series (//Canon/?port=usb&serial=258E64)
Enter the value. [1]1

#=========================================================#
# Register Printer
#=========================================================#
Enter the printer name.[TR4500USB]tr4550
Command executed = sudo /usr/sbin/lpadmin -p tr4550 -P /usr/share/cups/model/canontr4500.ppd -v cnijbe2://Canon/?port=usb&serial=258E64 -E

#=========================================================#
# Set as Default Printer
#=========================================================#
Do you want to set this printer as the default printer?
Enter [y] for Yes or [n] for No.[y]y

#=========================================================#
Installation has been completed.
Printer Name : tr4550
Select this printer name for printing.
#=========================================================#
root@emma:/home/emma/Scaricati/cnijfilter2-5.70-1-deb#

tati29268 15-12-2020 16:33

mi inserisco per un problema con i driver per GTX 460. non riesco a metterli. nn vanno. uso XFCE.

Nicodemo Timoteo Taddeo 15-12-2020 17:55

Quote:

Originariamente inviato da tati29268 (Messaggio 47170003)
mi inserisco per un problema con i driver per GTX 460. non riesco a metterli. nn vanno. uso XFCE.

Ti conviene che apri una discussione apposita o posti la domanda sulla discussione ufficiale su Linux Mint se è Mint quella in oggetto:

https://www.hwupgrade.it/forum/showt...645213&page=43

Dichiarando anche la versione di Mint e spiegando meglio, perché hai scritto che non riesci a metterli e contemporaneamente che non vanno.

In ogni caso di norma i driver Nvidia proprietari si installano dal gestore dei driver, cercalo nel menu start di XFCE.


Tutti gli orari sono GMT +1. Ora sono le: 03:17.

Powered by vBulletin® Version 3.6.4
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
Hardware Upgrade S.r.l.